Apt -get -y-u dist -upgrade error

Every time I run update on my nito tv I get error ...dyld:library not loaded:usr/lib/libapt-pkg.dylib.4.6.0  then referenced from:/usr/bin/apt-get reason : no suitable image found .... Please help any ideas ..